#3243 closed enhancement (fixed)

Simplify global construction

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: score Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

For the SMP support the global construction was changed to use an approach with a thread restart after global construction. With this implementation thread-local objects and POSIX keys initialized during global construction are not present in the initialization thread (main thread). This is not in line with what users familiar with GNU/Linux or FreeBSD would expect. See for example:

https://lists.rtems.org/pipermail/users/2017-July/031525.html

Change History (4)

comment:1 Changed on Nov 22, 2017 at 12:01:56 PM by Sebastian Huber <sebastian.huber@…>

In a7dcef97/rtems:

score: Simplify global construction

Update #3243.

comment:2 Changed on Nov 22, 2017 at 12:02:08 PM by Sebastian Huber <sebastian.huber@…>

In cd3e220/rtems:

INTERNAL_ERROR_POSIX_INIT_THREAD_ENTRY_IS_NULL

Delete superfluous INTERNAL_ERROR_POSIX_INIT_THREAD_ENTRY_IS_NULL.

Update #3243.

comment:3 Changed on Nov 24, 2017 at 5:57:02 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 674b714/rtems-docs:

c-user: Document global construction

Close #3243.

comment:4 Changed on Oct 1, 2018 at 10:28:33 AM by Sebastian Huber <sebastian.huber@…>

In 0614743/rtems:

spthreadlife01: Remove superfluous restart case

Update #3243.

Note: See TracTickets for help on using tickets.